LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 06-25-2013, 04:54 AM   #1
Novatian
Member
 
Registered: Feb 2008
Location: Australia
Distribution: Mint Olivia, Android, Manjaro.
Posts: 569

Rep: Reputation: 32
I am not able to proceed with installing Eclipse or Netbeans.


Good day, I am not able to install Eclipse or Netbeans in Ubuntu Studio, as I opt for install, it displays, that it requires installation of untrusted packages. Whether I click ok or repair, there is no progress. What can I do to get one of these programs?

Last edited by Novatian; 06-25-2013 at 06:02 AM.
 
Old 06-25-2013, 06:11 AM   #2
eklavya
Member
 
Registered: Mar 2013
Posts: 549

Rep: Reputation: 113Reputation: 113
It seems like you have corrupt or broken packages.
Are you trying to install using ubuntu software center?

What is your version of ubuntu?
They have ended the support till ubuntu 11.10. You should use further versions.

If you run
sudo apt-get update
Does it give error?

Try this solution
http://askubuntu.com/questions/18411...usted-packages
 
Old 06-25-2013, 07:09 AM   #3
Novatian
Member
 
Registered: Feb 2008
Location: Australia
Distribution: Mint Olivia, Android, Manjaro.
Posts: 569

Original Poster
Rep: Reputation: 32
I am using Precise.

I have also had troubles downloading updates before this. I have the latest Ubuntu Studio downloaded. I may save files and re-install. I thought I had an addition supported for 5 years.
 
Old 06-25-2013, 07:15 AM   #4
jdkaye
Senior Member
 
Registered: Dec 2008
Location: Westgate-on-Sea, Kent, UK
Distribution: Debian Testing Amd64
Posts: 4,535

Rep: Reputation: Disabled
In a terminal give the command:
Code:
sudo aptitude install netbeans
Copy the output of this command from your terminal and post the results (if it fails) including all the error messages.
Do the same for
Code:
sudo aptitude install eclipse
jdk
 
1 members found this post helpful.
Old 06-25-2013, 09:18 AM   #5
Novatian
Member
 
Registered: Feb 2008
Location: Australia
Distribution: Mint Olivia, Android, Manjaro.
Posts: 569

Original Poster
Rep: Reputation: 32
It says the commands are invalid.
 
Old 06-25-2013, 11:40 AM   #6
TobiSGD
Moderator
 
Registered: Dec 2009
Location: Hanover, Germany
Distribution: Main: Gentoo Others: What fits the task
Posts: 15,497
Blog Entries: 2

Rep: Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017
Aptitude is not part of Ubuntu's default install anymore, try those commands again, but replace aptitude with apt-get.
 
1 members found this post helpful.
Old 06-27-2013, 06:17 AM   #7
Novatian
Member
 
Registered: Feb 2008
Location: Australia
Distribution: Mint Olivia, Android, Manjaro.
Posts: 569

Original Poster
Rep: Reputation: 32
OK this time with terminal and apt-get, I got Eclipse and run it. I wonder why It would not just go in software centre? Can apt-get install updates?
 
Old 06-27-2013, 01:21 PM   #8
TobiSGD
Moderator
 
Registered: Dec 2009
Location: Hanover, Germany
Distribution: Main: Gentoo Others: What fits the task
Posts: 15,497
Blog Entries: 2

Rep: Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017Reputation: 4017
Quote:
Originally Posted by Novatian View Post
Can apt-get install updates?
Of course it can, apt-get (and aptitude, followed by Synaptic) are the most powerful package managers you can get for debian based systems:
Code:
sudo apt-get update
sudo apt-get upgrade
will update the system.
 
1 members found this post helpful.
Old 07-05-2013, 01:42 AM   #9
Novatian
Member
 
Registered: Feb 2008
Location: Australia
Distribution: Mint Olivia, Android, Manjaro.
Posts: 569

Original Poster
Rep: Reputation: 32
bren@bren-Inspiron-410:~$ sudo apt-get install updates
[sudo] password for bren:
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package updates
bren@bren-Inspiron-410:~$

So I have a problem.
 
Old 07-05-2013, 03:45 AM   #10
jdkaye
Senior Member
 
Registered: Dec 2008
Location: Westgate-on-Sea, Kent, UK
Distribution: Debian Testing Amd64
Posts: 4,535

Rep: Reputation: Disabled
Quote:
Originally Posted by Novatian View Post
So I have a problem.
Yes, you do: learning how to read. TobiSGD said,
Code:
sudo apt-get update
and you entered
Code:
sudo apt-get install updates
Do you see your mistake?
After that enter TobiSGD's 2nd command:
Code:
sudo apt-get upgrade
Notice the word "install" does not appear in either command. Got it?
jdk

Last edited by jdkaye; 07-05-2013 at 03:47 AM.
 
Old 07-05-2013, 03:51 AM   #11
Novatian
Member
 
Registered: Feb 2008
Location: Australia
Distribution: Mint Olivia, Android, Manjaro.
Posts: 569

Original Poster
Rep: Reputation: 32
Fetched 560 kB in 9s (58.8 kB/s)
Reading package lists... Done
W: GPG error: http://au.archive.ubuntu.com precise Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
bren@bren-Inspiron-410:~$

New results and upgrading.

Setting up chromium-browser-l10n (28.0.1500.52-0ubuntu1.12.04.2) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-37-lowlatency-pae
bren@bren-Inspiron-410:~$

Looks like it is done, thanks.

Last edited by Novatian; 07-05-2013 at 04:50 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
How to proceed after installing turnkey postgreSQL appliance? rajiv yadav Linux - Virtualization and Cloud 3 03-16-2011 01:04 PM
LXer: Installing and Setting up JavaFX for NetBeans and Eclipse IDE LXer Syndicated Linux News 0 09-20-2010 04:40 AM
Netbeans Or Eclipse nesrail Programming 1 01-28-2009 08:25 AM
Eclipse or Netbeans? koyi Programming 16 09-01-2006 03:49 PM
LXer: Netbeans attempts to eclipse Eclipse LXer Syndicated Linux News 0 04-17-2006 09:54 PM


All times are GMT -5. The time now is 12:34 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration